Communauté
Inventor - Français
Bienvenue sur les forums Inventor d’Autodesk. Partagez vos connaissances, posez des questions, collaborez sur des idées, et explorez les sujets Inventor populaires.
annuler
Affichage des résultats de 
Afficher  uniquement  | Rechercher plutôt 
Vouliez-vous dire : 

Export mouvement pièces dans fichier excel

4 RÉPONSES 4
RÉSOLU
Répondre
Message 1 sur 5
ffb.boy.30
517 Visites, 4 Réponses

Export mouvement pièces dans fichier excel

Bonjour,

J'ai deux pièces reliées entre elle par une tige : Plateau => tige => came.

Actuellement avec la souris si je fais bouger l'un, l'autre suit le mouvement via la tige

Je voudrais savoir si il y aurait un moyen avec un script de faire bouger mon plateau de +- 10° par pas de 1 ° et de récupérer les angles de la came dans un fichier .

Merci

 

 

Étiquettes (1)
4 RÉPONSES 4
Message 2 sur 5
Fabian_perree
en réponse à: ffb.boy.30

Bonjour @ffb.boy.30 ,

 

Un script pour prendre 20 mesures ? (+-10° par pas de 1° = 20), je pense que tu iras aussi vite manuellement.

 

Sinon il existe l'environnement de simulation dynamique qui permet d'exporter via Excel, la prise en main est un peu plus compliqué mais c'est très puissant.

 

Un tutoriel ici avec une came : https://knowledge.autodesk.com/support/inventor-products/getting-started/caas/CloudHelp/cloudhelp/20...

 

Enfin, je ne sais pas ce que tu cherches à faire mais il y'a le générateur de came qui permet de réaliser de nombreux calculs : 

Fabian_perree_0-1603891810780.png

 

Bonne journée

 

 

 

 

 

Fabian Perrée
Giùp.fr | LinkedIn

Ce post vous a été utile ? N'hésitez pas à aimer ce post.
Ce post a-t-il répondu à votre question ? Cliquez sur le bouton Accepter la solution.

EESignature

Cliquez ici pour accéder à toutes mes formations en ligne
Inventor 2022 : Modélisation et documentation de systèmes mécaniques
Message 3 sur 5
ThomasB44
en réponse à: ffb.boy.30

Salut,

Sans illustration, pas facile de comprendre ce que tu souhaites faire.

 

Ci-dessous un exemple de script pour piloter une contrainte.

Dim oDoc As AssemblyDocument
oDoc = ThisDoc.Document
Dim oAsmCompDef As AssemblyComponentDefinition
oAsmCompDef = oDoc.ComponentDefinition
Dim oAngle As AngleConstraint
oAngle = oAsmCompDef.Constraints.Item("Nom de la contrainte")
Dim oOffset As Parameter
oOffset = oAngle.Offset
oOffset.Value = 5

 Attention, dans l'API, les valeurs sont en cm pour les distances, et radians pour les angles. 😉


Thomas
Mechanical Designer / Inventor Professionnal 2023
Inventor Professional EESignature

Message 4 sur 5
ffb.boy.30
en réponse à: ThomasB44

En fait c'est un test pour essayer, le but final serait de faire bouger une structure avec beaucoup plus de contraintes.

Je viens de faire un test avec la solution de fabian , j'arrive à faire bouger mes pièces . Il ne me reste plus que l'export excell à faire.

Je vais regarder le solution de thomas. Par contre comment j'utilise le VBA ?

 

Message 5 sur 5
patrick.emin
en réponse à: ffb.boy.30

Bonjour @ffb.boy.30 

Si une des réponses résout votre problème ou vous a permis de mieux le comprendre, voulez vous avoir l'amabilité de cliquer sur le bouton "Approuver la solution" en bas de la réponse qui apporte une solution?
Merci de ne pas accepter comme solution le message que vous êtes en train de lire.


Patrick Emin animateur de la communauté francophone


Vous avez trouvé un message utile? Alors donnez un "J'aime" à ce message!
Votre question a eu une réponse satisfaisante? Voulez vous avoir l'amabilité de cliquer sur le bouton
 APPROUVER LA SOLUTION  en bas de la réponse qui apporte une solution?
Signez notre Livre d'Or

Vous n'avez pas trouvé ce que vous recherchiez ? Posez une question à la communauté ou partagez vos connaissances.

Publier dans les forums  

Autodesk Design & Make Report